Index: LMDZ6/branches/Amaury_dev/libf/phylmdiso/cv3_routines.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmdiso/cv3_routines.F90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/phylmdiso/cv3_routines.F90	(revision 5117)
@@ -4622,5 +4622,5 @@
       do i=1,nl!nl
         do il=1,ncum
-        if (iso_eau.gt.0) THEN
+        IF (iso_eau.gt.0) THEN
 !            WRITE(*,*) 'cv3_routines 2767:i,il,lwork(il),inb(il)=',
 !     :           i,il,lwork(il),inb(il)
@@ -4637,5 +4637,5 @@
 !        if (iso_verif_traceur_choix_nostop(xtwater(1,il,i),
 !     :       'cv3_routine 2982 unsat',errmax,
-!     :       errmaxrel,ridicule_trac,deltalimtrac).eq.1) THEN
+!     :       errmaxrel,ridicule_trac,deltalimtrac).EQ.1) THEN
 !              WRITE(*,*) 'il,i,inb(il),lwork(il)=',
 !     :           il,i,inb(il),lwork(il)
@@ -4693,8 +4693,8 @@
 
 #ifdef ISO
-    use infotrac_phy, ONLY: ntraciso=>ntiso, niso, nzone, itZonIso
-    use isotopes_mod, ONLY: essai_convergence,ridicule,iso_eau,iso_HDO,iso_O18
+    USE infotrac_phy, ONLY: ntraciso=>ntiso, niso, nzone, itZonIso
+    USE isotopes_mod, ONLY: essai_convergence,ridicule,iso_eau,iso_HDO,iso_O18
 #ifdef ISOVERIF
-    use isotopes_verif_mod, ONLY: errmax,errmaxrel, &
+    USE isotopes_verif_mod, ONLY: errmax,errmaxrel, &
         iso_verif_egalite_choix, iso_verif_noNaN,iso_verif_aberrant,iso_verif_O18_aberrant, &
         iso_verif_egalite,iso_verif_egalite_choix_nostop,iso_verif_positif_nostop, &
@@ -4703,10 +4703,10 @@
 #endif
 #ifdef ISOTRAC
-        use isotrac_mod, ONLY: option_traceurs, &
+        USE isotrac_mod, ONLY: option_traceurs, &
         izone_revap,izone_poubelle,izone_ddft
 #ifdef ISOVERIF
-    use isotopes_verif_mod, ONLY: iso_verif_traceur_choix_nostop,deltalimtrac, &
+    USE isotopes_verif_mod, ONLY: iso_verif_traceur_choix_nostop,deltalimtrac, &
 &       iso_verif_tracpos_choix_nostop,iso_verif_traceur,iso_verif_traceur_justmass
-    use isotrac_mod, ONLY: ridicule_trac
+    USE isotrac_mod, ONLY: ridicule_trac
 #endif
 #endif
@@ -4751,9 +4751,9 @@
       REAL, INTENT(IN)                                   :: tau_cld_cv, coefw_cld_cv
 #ifdef ISO
-      real, DIMENSION (ntraciso,nloc,nd), INTENT (IN)            ::  xt
-      real, DIMENSION (ntraciso,nloc,nd), INTENT (IN)            ::  xt_wake
-      real, DIMENSION (ntraciso,nloc,na), INTENT (IN)            ::  xtclw, xtp
-      real, DIMENSION (ntraciso,nloc,na), INTENT (IN)            ::  xtwater, xtevap
-      real, DIMENSION (ntraciso,nloc,na,na), INTENT (IN)         ::  xtent, xtelij
+      REAL, DIMENSION (ntraciso,nloc,nd), INTENT (IN)            ::  xt
+      REAL, DIMENSION (ntraciso,nloc,nd), INTENT (IN)            ::  xt_wake
+      REAL, DIMENSION (ntraciso,nloc,na), INTENT (IN)            ::  xtclw, xtp
+      REAL, DIMENSION (ntraciso,nloc,na), INTENT (IN)            ::  xtwater, xtevap
+      REAL, DIMENSION (ntraciso,nloc,na,na), INTENT (IN)         ::  xtent, xtelij
       REAL, DIMENSION (ntraciso,nloc, na), INTENT (IN)            :: xtice
 #endif
@@ -4784,5 +4784,5 @@
       REAL, DIMENSION (ntraciso,nloc), INTENT (OUT)               :: xtprecip
       REAL, DIMENSION (ntraciso,nloc, nd), INTENT (OUT)           :: fxt,fxtd
-      real, DIMENSION (ntraciso,nloc, nd+1), INTENT (OUT) :: xtVprecip, xtVprecipi
+      REAL, DIMENSION (ntraciso,nloc, nd+1), INTENT (OUT) :: xtVprecip, xtVprecipi
 #endif
 
@@ -4813,22 +4813,22 @@
       REAL sumdq !jyg
 #ifdef ISO
-      integer ixt
-      real xtbx(ntraciso), xtawat(ntraciso,nloc)
+      INTEGER ixt
+      REAL xtbx(ntraciso), xtawat(ntraciso,nloc)
       ! cam debug
       ! pour l'homogeneisation sous le nuage:
-      real bxtsum(ntraciso,nloc), fxtsum(ntraciso,nloc)
+      REAL bxtsum(ntraciso,nloc), fxtsum(ntraciso,nloc)
 #ifdef DIAGISO
         ! diagnostiques juste: tendance des differents processus
-      real fxt_detrainement(niso,nloc,nd)
-      real fxt_fluxmasse(niso,nloc,nd)
-      real fxt_evapprecip(niso,nloc,nd)
-      real fxt_ddft(niso,nloc,nd)
-      real fq_detrainement(nloc,nd)
-      real q_detrainement(nloc,nd)
-      real xt_detrainement(niso,nloc,nd)
-      real f_detrainement(nloc,nd)
-      real fq_fluxmasse(nloc,nd)
-      real fq_evapprecip(nloc,nd)
-      real fq_ddft(nloc,nd)
+      REAL fxt_detrainement(niso,nloc,nd)
+      REAL fxt_fluxmasse(niso,nloc,nd)
+      REAL fxt_evapprecip(niso,nloc,nd)
+      REAL fxt_ddft(niso,nloc,nd)
+      REAL fq_detrainement(nloc,nd)
+      REAL q_detrainement(nloc,nd)
+      REAL xt_detrainement(niso,nloc,nd)
+      REAL f_detrainement(nloc,nd)
+      REAL fq_fluxmasse(nloc,nd)
+      REAL fq_evapprecip(nloc,nd)
+      REAL fq_ddft(nloc,nd)
 #endif           
 !#ifdef ISOVERIF
@@ -4844,13 +4844,13 @@
       !integer iso_verif_traceur_choix_nostop
       !integer iso_verif_tracpos_choix_nostop  
-      real xtnew(ntraciso)
+      REAL xtnew(ntraciso)
 !      real conversion(niso)
-      real fxtYe(niso)
-      real fxtqe(niso)
-      real fxtXe(niso)
-      real fxt_revap(niso)
-      real Xe(niso)
-      integer ixt_revap,izone
-      integer ixt_poubelle, ixt_ddft,iiso 
+      REAL fxtYe(niso)
+      REAL fxtqe(niso)
+      REAL fxtXe(niso)
+      REAL fxt_revap(niso)
+      REAL Xe(niso)
+      INTEGER ixt_revap,izone
+      INTEGER ixt_poubelle, ixt_ddft,iiso
 #endif
 #endif
@@ -4968,5 +4968,5 @@
          ! cam verif
 #ifdef ISOVERIF
-          if (iso_eau.gt.0) THEN
+          IF (iso_eau.gt.0) THEN
 !              WRITE(*,*) 'cv3_yield 2952: '//
 !     :           'il,water(il,1),xtwater(iso_eau,il,1)='
@@ -4984,7 +4984,7 @@
         CALL iso_verif_traceur(xtwater(1,il,1), &
              'cv3_routine 3146')
-        if (iso_verif_traceur_choix_nostop(xtprecip(1,il), &
+        IF (iso_verif_traceur_choix_nostop(xtprecip(1,il), &
                  'cv3_routine 3147',errmax*1e2, &
-             errmaxrel,ridicule_trac,deltalimtrac).eq.1) THEN
+             errmaxrel,ridicule_trac,deltalimtrac).EQ.1) THEN
           WRITE(*,*) 'il,inb(il)=',il,inb(il)
           WRITE(*,*) 'xtwater(:,il,1)=',xtwater(:,il,1)
@@ -5007,5 +5007,5 @@
          ! cam verif
 #ifdef ISOVERIF          
-          if (iso_eau.gt.0) THEN
+          IF (iso_eau.gt.0) THEN
               CALL iso_verif_egalite_choix(xtprecip(iso_eau,il), &
                  precip(il),'cv3_routines 3139', &
@@ -5233,5 +5233,5 @@
        ! cam verif
 #ifdef ISOVERIF
-          if (iso_eau.gt.0) THEN
+          IF (iso_eau.gt.0) THEN
               CALL iso_verif_egalite_choix(fxt(iso_eau,il,1), &
                  fr(il,1),'cv3_routines 3251', &
@@ -5241,5 +5241,5 @@
                  errmax*0.1,errmaxrel)
           endif !if (iso_eau.gt.0) THEN
-          if ((iso_HDO.gt.0).and. &
+          IF ((iso_HDO.gt.0).AND. &
                  (rr(il,1)+delt*fr(il,1).gt.ridicule)) THEN
            CALL iso_verif_aberrant((xt(iso_HDO,il,1) &
@@ -5247,5 +5247,5 @@
                  'cv3_yield 3125, ddft en 1')
           endif !if (iso_HDO.gt.0) THEN
-          if ((iso_HDO.gt.0).and.(iso_O18.gt.0).and. &
+          IF ((iso_HDO.gt.0).AND.(iso_O18.gt.0).AND. &
                  (rr(il,1)+delt*fr(il,1).gt.ridicule)) THEN
            CALL iso_verif_O18_aberrant((xt(iso_HDO,il,1) &
@@ -5259,6 +5259,6 @@
           xtnew(ixt)=xt(ixt,il,1)+delt*fxt(ixt,il,1)
         enddo
-        if (iso_verif_tracpos_choix_nostop(xtnew,'cv3_yield 3395',1e-5) &
-                 .eq.1) THEN
+        IF (iso_verif_tracpos_choix_nostop(xtnew,'cv3_yield 3395',1e-5) &
+                 .EQ.1) THEN
               WRITE(*,*) 'il=',il
               WRITE(*,*) 'delt,fxt(:,il,1)=',delt,fxt(:,il,1)
@@ -5336,9 +5336,9 @@
        ! cam verif
 #ifdef ISOVERIF
-          if (iso_eau.gt.0) THEN
+          IF (iso_eau.gt.0) THEN
               CALL iso_verif_egalite_choix(fxt(iso_eau,il,1), &
                  fr(il,1),'cv3_routines 3251',errmax*0.1,errmaxrel)
           endif !if (iso_eau.gt.0) THEN
-          if ((iso_HDO.gt.0).and. &
+          IF ((iso_HDO.gt.0).AND. &
                  (rr(il,1)+delt*fr(il,1).gt.ridicule)) THEN
            CALL iso_verif_aberrant((xt(iso_HDO,il,1) &
@@ -5346,5 +5346,5 @@
                'cv3_yield 3127, dtr melanges')
           endif !if (iso_HDO.gt.0) THEN
-          if ((iso_HDO.gt.0).and.(iso_O18.gt.0).and. &
+          IF ((iso_HDO.gt.0).AND.(iso_O18.gt.0).AND. &
                  (rr(il,1)+delt*fr(il,1).gt.ridicule)) THEN
            CALL iso_verif_O18_aberrant((xt(iso_HDO,il,1) &
@@ -5358,6 +5358,6 @@
           xtnew(ixt)=xt(ixt,il,1)+delt*fxt(ixt,il,1)
         enddo
-        if (iso_verif_tracpos_choix_nostop(xtnew,'cv3_yield 3525',1e-5) &
-                 .eq.1) THEN
+        IF (iso_verif_tracpos_choix_nostop(xtnew,'cv3_yield 3525',1e-5) &
+                 .EQ.1) THEN
               WRITE(*,*) 'il=',il
               WRITE(*,*) 'delt,fxt(:,il,1)=',delt,fxt(:,il,1)
@@ -5380,5 +5380,5 @@
 !AC!       do j=2,nl
 !AC!        do il=1,ncum
-!AC!         if (j.le.inb(il) .and. iflag(il) .le. 1) THEN
+!AC!         if (j.le.inb(il) .AND. iflag(il) .le. 1) THEN
 !AC!
 !AC!          if (cvflag_grav) THEN
@@ -5733,6 +5733,6 @@
 #ifdef ISOVERIF
         do ixt=1,ntraciso
-          if (iso_verif_noNaN_nostop(fxtd(ixt,il,i),'cv3_yield 4428') &
-                 .eq.1) THEN
+          IF (iso_verif_noNaN_nostop(fxtd(ixt,il,i),'cv3_yield 4428') &
+                 .EQ.1) THEN
             WRITE(*,*) 'xtevap(ixt,il,i)=',xtevap(ixt,il,i)
             WRITE(*,*) 'xtp(ixt,il,i+1)=',xtp(ixt,il,i+1)
@@ -5748,34 +5748,34 @@
 #endif             
 #ifdef ISOVERIF
-        if (iso_eau.gt.0) THEN
+        IF (iso_eau.gt.0) THEN
             CALL iso_verif_egalite_choix(fxt(iso_eau,il,i), &
                  fr(il,i),'cv3_routines 4162',errmax*0.1,errmaxrel)
-            if (iso_verif_egalite_choix_nostop(fxtd(iso_eau,il,i), &
+            IF (iso_verif_egalite_choix_nostop(fxtd(iso_eau,il,i), &
                  fqd(il,i),'cv3_routines 4164', &
-                 errmax*0.1,errmaxrel).eq.1) THEN
+                 errmax*0.1,errmaxrel).EQ.1) THEN
                 WRITE(*,*) 'i,il=',i,il
                 stop
             endif !if (iso_verif_egalite_choix_nostop(fxtd(iso_eau,il,i),
         endif
-        if ((iso_HDO.gt.0).and. &
+        IF ((iso_HDO.gt.0).AND. &
                  (rr(il,i)+delt*fr(il,i).gt.ridicule)) THEN
-        if (iso_verif_aberrant_nostop((xt(iso_HDO,il,i) &
+        IF (iso_verif_aberrant_nostop((xt(iso_HDO,il,i) &
                  +delt*fxt(iso_HDO,il,i)) &
                  /(rr(il,i)+delt*fr(il,i)),'cv3_yield 4175') &
-                 .eq.1) THEN
-        if (rr(il,i).ne.0.0) THEN
+                 .EQ.1) THEN
+        IF (rr(il,i).NE.0.0) THEN
         WRITE(*,*) 'il,i,rr,deltaD=',il,i,rr(il,i),deltaD &
                  (xt(iso_HDO,il,i)/rr(il,i))
         endif
-        if (fr(il,i).ne.0.0) THEN
+        IF (fr(il,i).NE.0.0) THEN
         WRITE(*,*) 'fr,fxt,deltaD=',fr(il,i),fxt(iso_HDO,il,i), &
                  deltaD(fxt(iso_HDO,il,i)/fr(il,i))
         endif
 #ifdef DIAGISO
-        if (fq_ddft(il,i).ne.0.0) THEN
+        IF (fq_ddft(il,i).NE.0.0) THEN
         WRITE(*,*) 'fq_ddft,deltaD=',fq_ddft(il,i),deltaD( &
                  fxt_ddft(iso_HDO,il,i)/fq_ddft(il,i))
         endif
-        if (fq_evapprecip(il,i).ne.0.0) THEN
+        IF (fq_evapprecip(il,i).NE.0.0) THEN
         WRITE(*,*) 'fq_evapprecip,deltaD=',fq_evapprecip(il,i),deltaD( &
                  fxt_evapprecip(iso_HDO,il,i)/fq_evapprecip(il,i))
@@ -5799,5 +5799,5 @@
 
 #ifdef ISOTRAC
-        if ((option_traceurs.ne.6).and.(option_traceurs.ne.19)) THEN
+        IF ((option_traceurs.NE.6).AND.(option_traceurs.NE.19)) THEN
             ! facile: on fait comme l'eau
             do ixt = 1+niso,ntraciso
@@ -5837,9 +5837,9 @@
 !        WRITE(*,*) 'tmp cv3_yield 4165: i,il=',i,il
 
-        if (option_traceurs.eq.6) THEN
+        IF (option_traceurs.EQ.6) THEN
           do iiso = 1, niso
              
              ixt_ddft=itZonIso(izone_ddft,iiso)  
-             if (mp(il,i).gt.mp(il,i+1)) THEN
+             IF (mp(il,i).gt.mp(il,i+1)) THEN
                 fxtYe(iiso)=0.01*grav*dpinv*mp(il,i) &
                  *(xt(ixt_ddft,il,i-1)-xt(ixt_ddft,il,i))
@@ -5859,6 +5859,6 @@
          enddo !do iiso = 1, niso
 
-         else !if (option_traceurs.eq.6) THEN
-            if (mp(il,i).gt.mp(il,i+1)) THEN
+         else !if (option_traceurs.EQ.6) THEN
+            IF (mp(il,i).gt.mp(il,i+1)) THEN
                 ! cas entrainant: faire attention
                 
@@ -5883,12 +5883,12 @@
                 Xe(iiso)=xt(iiso,il,i) &
                          -xt(ixt_ddft,il,i)-xt(ixt_revap,il,i)
-                if (Xe(iiso).gt.ridicule) THEN
+                IF (Xe(iiso).gt.ridicule) THEN
                   do izone=1,nzone
-                   if ((izone.ne.izone_revap).and. &
-                         (izone.ne.izone_ddft)) THEN
+                   IF ((izone.NE.izone_revap).AND. &
+                         (izone.NE.izone_ddft)) THEN
                     ixt=itZonIso(izone,iiso) 
                     fxt(ixt,il,i)=fxt(ixt,il,i) &
                          +xt(ixt,il,i)/Xe(iiso)*fxtXe(iiso)
-                   endif !if ((izone.ne.izone_revap).and.
+                   endif !if ((izone.NE.izone_revap).AND.
                   enddo !do izone=1,nzone   
 #ifdef ISOVERIF
@@ -5907,5 +5907,5 @@
                     
 #ifdef ISOVERIF
-                if (delt*fxtXe(iiso).gt.ridicule) THEN
+                IF (delt*fxtXe(iiso).gt.ridicule) THEN
                    WRITE(*,*) 'cv3_routines 6563: delt*fxtXe(iiso)=', &
                                 delt*fxtXe(iiso)
@@ -5914,13 +5914,13 @@
 #endif                   
                 do izone=1,nzone
-                   if ((izone.ne.izone_revap).and. &
-                         (izone.ne.izone_ddft)) THEN
+                   IF ((izone.NE.izone_revap).AND. &
+                         (izone.NE.izone_ddft)) THEN
                     ixt=itZonIso(izone,iiso) 
-                    if (izone.eq.izone_poubelle) THEN
+                    IF (izone.EQ.izone_poubelle) THEN
                       fxt(ixt,il,i)=fxt(ixt,il,i)+fxtXe(iiso)
-                    else !if (izone.eq.izone_poubelle) THEN
+                    else !if (izone.EQ.izone_poubelle) THEN
                         ! pas de tendance pour ce tag la
-                    endif !if (izone.eq.izone_poubelle) THEN
-                   endif !if ((izone.ne.izone_revap).and.
+                    endif !if (izone.EQ.izone_poubelle) THEN
+                   endif !if ((izone.NE.izone_revap).AND.
                 enddo !do izone=1,nzone
 #ifdef ISOVERIF
@@ -5944,10 +5944,10 @@
 #endif                
             endif !if (mp(il,i).gt.mp(il,i+1)) THEN
-          endif !if (option_traceurs.eq.6) THEN
+          endif !if (option_traceurs.EQ.6) THEN
 !          WRITE(*,*) 'delt*conversion=',delt*conversion(iso_eau)
 !           WRITE(*,*) 'delt*fxtYe=',delt*fxtYe(iso_eau)
 !           WRITE(*,*) 'delt*fxtqe=',delt*fxtqe(iso_eau)
 
-        endif ! if ((option_traceurs.ne.6).and.(option_traceurs.ne.19)) THEN
+        endif ! if ((option_traceurs.NE.6).AND.(option_traceurs.NE.19)) THEN
 #endif
         
@@ -5959,33 +5959,33 @@
 #endif
 #ifdef ISOVERIF
-          if (iso_eau.gt.0) THEN
+          IF (iso_eau.gt.0) THEN
               CALL iso_verif_egalite_choix(fxt(iso_eau,il,i), &
                  fr(il,i),'cv3_routines 3493',errmax*0.1,errmaxrel)
           endif !if (iso_eau.gt.0) THEN
-          if ((iso_HDO.gt.0).and.(delt*fr(il,i).gt.ridicule)) THEN
-              if (iso_verif_aberrant_nostop( &
+          IF ((iso_HDO.gt.0).AND.(delt*fr(il,i).gt.ridicule)) THEN
+              IF (iso_verif_aberrant_nostop( &
                  fxt(iso_HDO,il,i)/fr(il,i), &
-                 'cv3_yield 3662').eq.1) THEN
+                 'cv3_yield 3662').EQ.1) THEN
 !                WRITE(*,*) 'il,i,icb(il),inb(il)=',il,i,icb(il),inb(il)
 !                WRITE(*,*) 'fr(il,i),delt=',fr(il,i),delt
 #ifdef DIAGISO
-                if (fq_ddft(il,i).ne.0.0) THEN
+                IF (fq_ddft(il,i).NE.0.0) THEN
                 WRITE(*,*) 'fq_ddft,deltaD=',fq_ddft(il,i),deltaD( &
                    fxt_ddft(iso_HDO,il,i)/fq_ddft(il,i))
-                endif !if (fq_ddft(il,i).ne.0.0) THEN
-                if (fq_evapprecip(il,i).ne.0.0) THEN
+                endif !if (fq_ddft(il,i).NE.0.0) THEN
+                IF (fq_evapprecip(il,i).NE.0.0) THEN
                 WRITE(*,*) 'fq_evapprecip,deltaD=',fq_evapprecip(il,i), &
                    deltaD(fxt_evapprecip(iso_HDO,il,i) &
                    /fq_evapprecip(il,i))
-                endif !if (fq_evapprecip(il,i).ne.0.0) THEN
+                endif !if (fq_evapprecip(il,i).NE.0.0) THEN
 #endif                
                endif !if (iso_verif_aberrant_nostop(
           endif !if (iso_HDO.gt.0) THEN
-          if ((iso_HDO.gt.0).and.& 
+          IF ((iso_HDO.gt.0).AND.&
                  (rr(il,i)+delt*fr(il,i).gt.ridicule)) THEN
-           if (iso_verif_aberrant_nostop((xt(iso_HDO,il,i) &
+           IF (iso_verif_aberrant_nostop((xt(iso_HDO,il,i) &
                  +delt*fxt(iso_HDO,il,i)) &
                  /(rr(il,i)+delt*fr(il,i)),'cv3_yield 3757, ddfts') &
-                 .eq.1) THEN
+                 .EQ.1) THEN
                 WRITE(*,*) 'i,il,q,deltaD=',i,il,rr(il,i),deltaD( &
                    xt(iso_HDO,il,i)/rr(il,i))
@@ -6001,6 +6001,6 @@
           xtnew(ixt)=xt(ixt,il,i)+delt*fxt(ixt,il,i)
         enddo
-        if (iso_verif_tracpos_choix_nostop(xtnew, &
-                        'cv3_yield 4221',1e-5).eq.1) THEN
+        IF (iso_verif_tracpos_choix_nostop(xtnew, &
+                        'cv3_yield 4221',1e-5).EQ.1) THEN
           WRITE(*,*) 'delt*fxt(,il,i)=',delt*fxt(1:ntraciso:2,il,i)
           WRITE(*,*) 'delt*fxt(,il,i)=',delt*fxt(:,il,i)
@@ -6059,9 +6059,9 @@
 #endif
 #ifdef ISOVERIF
-        if (iso_eau.gt.0) THEN
+        IF (iso_eau.gt.0) THEN
               CALL iso_verif_egalite_choix(fxt(iso_eau,il,i), &
                  fr(il,i),'cv3_routines 3226',errmax*0.1,errmaxrel)
         endif !if (iso_eau.gt.0) THEN
-        if ((iso_HDO.gt.0).and. &
+        IF ((iso_HDO.gt.0).AND. &
                  (rr(il,i)+delt*fr(il,i).gt.ridicule)) THEN
          CALL iso_verif_aberrant((xt(iso_HDO,il,i) &
@@ -6069,5 +6069,5 @@
                  /(rr(il,i)+delt*fr(il,i)),'cv3_yield 3384, flux masse')
         endif !if (iso_HDO.gt.0) THEN
-        if ((iso_HDO.gt.0).and.(iso_O18.gt.0).and. &
+        IF ((iso_HDO.gt.0).AND.(iso_O18.gt.0).AND. &
                  (rr(il,i)+delt*fr(il,i).gt.ridicule)) THEN
            CALL iso_verif_O18_aberrant((xt(iso_HDO,il,i) &
@@ -6081,6 +6081,6 @@
           xtnew(ixt)=xt(ixt,il,i)+delt*fxt(ixt,il,i)
         enddo
-        if (iso_verif_tracpos_choix_nostop(xtnew,'cv3_yield 3727',1e-5) &
-                 .eq.1) THEN
+        IF (iso_verif_tracpos_choix_nostop(xtnew,'cv3_yield 3727',1e-5) &
+                 .EQ.1) THEN
               WRITE(*,*) 'il,i=',il,i
               WRITE(*,*) 'fxt(:,il,i)=',fxt(:,il,i)
@@ -6106,5 +6106,5 @@
 !AC!      do k=1,ntra
 !AC!       do il=1,ncum
-!AC!        if (i.le.inb(il) .and. iflag(il) .le. 1) THEN
+!AC!        if (i.le.inb(il) .AND. iflag(il) .le. 1) THEN
 !AC!         dpinv=1.0/(ph(il,i)-ph(il,i+1))
 !AC!         cpinv=1.0/cpn(il,i)
@@ -6147,5 +6147,5 @@
         ! ce surplus a la meme compo que le elij, sans fractionnement.
         ! d'ou le nouveau traitement ci-dessous.
-      if (elij(il,k,i).gt.0.0) THEN
+      IF (elij(il,k,i).gt.0.0) THEN
         do ixt = 1, ntraciso
           xtawat(ixt,il)=awat(il)*(xtelij(ixt,il,k,i)/elij(il,k,i))
@@ -6164,5 +6164,5 @@
       ! cam verif
 #ifdef ISOVERIF
-          if (iso_eau.gt.0) THEN
+          IF (iso_eau.gt.0) THEN
               CALL iso_verif_egalite_choix(xtawat(iso_eau,il), &
                  awat(il),'cv3_routines 3301',errmax,errmaxrel)
@@ -6216,14 +6216,14 @@
 #endif  
 #ifdef ISOVERIF
-        if (iso_eau.gt.0) THEN
+        IF (iso_eau.gt.0) THEN
               CALL iso_verif_egalite_choix(fxt(iso_eau,il,i), &
                  fr(il,i),'cv3_routines 3325',errmax,errmaxrel)
         endif !if (iso_eau.gt.0) THEN
-        if ((iso_HDO.gt.0).and. &
+        IF ((iso_HDO.gt.0).AND. &
                  (rr(il,i)+delt*fr(il,i).gt.ridicule)) THEN
-        if (iso_verif_aberrant_nostop((xt(iso_HDO,il,i) &
+        IF (iso_verif_aberrant_nostop((xt(iso_HDO,il,i) &
                  +delt*fxt(iso_HDO,il,i)) &
                  /(rr(il,i)+delt*fr(il,i)),'cv3_yield 3396a, dtr mels') &
-                 .eq.1) THEN
+                 .EQ.1) THEN
            WRITE(*,*) 'rr,delt,fr=',rr(il,i),delt,fr(il,i)
            WRITE(*,*) 'qent,awat=',qent(il,k,i),awat(il)
@@ -6241,6 +6241,6 @@
           xtnew(ixt)=xt(ixt,il,i)+delt*fxt(ixt,il,i)
         enddo
-        if (iso_verif_tracpos_choix_nostop(xtnew,'cv3_yield 3905',1e-5) &
-                 .eq.1) THEN
+        IF (iso_verif_tracpos_choix_nostop(xtnew,'cv3_yield 3905',1e-5) &
+                 .EQ.1) THEN
               WRITE(*,*) 'il,i=',il,i
          endif
@@ -6264,5 +6264,5 @@
 !AC!       do k=1,i-1
 !AC!        do il=1,ncum
-!AC!         if (i.le.inb(il) .and. iflag(il) .le. 1) THEN
+!AC!         if (i.le.inb(il) .AND. iflag(il) .le. 1) THEN
 !AC!          dpinv=1.0/(ph(il,i)-ph(il,i+1))
 !AC!          cpinv=1.0/cpn(il,i)
@@ -6331,17 +6331,17 @@
 #endif
 #ifdef ISOVERIF
-          if (iso_eau.gt.0) THEN
+          IF (iso_eau.gt.0) THEN
               CALL iso_verif_egalite_choix(fxt(iso_eau,il,i), &
                  fr(il,i),'cv3_routines 3433',errmax,errmaxrel)
           endif !if (iso_eau.gt.0) THEN
-!          if ((iso_HDO.gt.0).and.(delt*fr(il,i).gt.ridicule)) THEN
+!          if ((iso_HDO.gt.0).AND.(delt*fr(il,i).gt.ridicule)) THEN
 !              if (iso_verif_aberrant_nostop( &
 !     &           fxt(iso_HDO,il,i)/fr(il,i), &
-!     &           'cv3_yield 3597').eq.1) THEN
+!     &           'cv3_yield 3597').EQ.1) THEN
 !                WRITE(*,*) 'i,icb(il),inb(il)=',i,icb(il),inb(il)
 !                stop
 !               endif
 !          endif !if (iso_HDO.gt.0) THEN
-          if ((iso_HDO.gt.0).and. &
+          IF ((iso_HDO.gt.0).AND. &
                  (rr(il,i)+delt*fr(il,i).gt.ridicule)) THEN
            CALL iso_verif_aberrant((xt(iso_HDO,il,i) &
@@ -6349,5 +6349,5 @@
                  /(rr(il,i)+delt*fr(il,i)),'cv3_yield 3605b, dtr mels')
           endif !if (iso_HDO.gt.0) THEN
-          if ((iso_HDO.gt.0).and.(iso_O18.gt.0).and. &
+          IF ((iso_HDO.gt.0).AND.(iso_O18.gt.0).AND. &
                  (rr(il,i)+delt*fr(il,i).gt.ridicule)) THEN
            CALL iso_verif_O18_aberrant((xt(iso_HDO,il,i) &
@@ -6361,6 +6361,6 @@
           xtnew(ixt)=xt(ixt,il,i)+delt*fxt(ixt,il,i)
         enddo
-        if (iso_verif_tracpos_choix_nostop(xtnew,'cv3_yield 4091',1e-5) &
-                 .eq.1) THEN
+        IF (iso_verif_tracpos_choix_nostop(xtnew,'cv3_yield 4091',1e-5) &
+                 .EQ.1) THEN
               WRITE(*,*) 'il,i=',il,i
          endif
@@ -6379,6 +6379,6 @@
 !AC!       do k=i,nl+1
 !AC!        do il=1,ncum
-!AC!         if (i.le.inb(il) .and. k.le.inb(il)
-!AC!     $                .and. iflag(il) .le. 1) THEN
+!AC!         if (i.le.inb(il) .AND. k.le.inb(il)
+!AC!     $                .AND. iflag(il) .le. 1) THEN
 !AC!          dpinv=1.0/(ph(il,i)-ph(il,i+1))
 !AC!          cpinv=1.0/cpn(il,i)
@@ -6448,5 +6448,5 @@
 !AC!      do j=1,ntra
 !AC!       do il=1,ncum
-!AC!        if (i.le.inb(il) .and. iflag(il) .le. 1) THEN
+!AC!        if (i.le.inb(il) .AND. iflag(il) .le. 1) THEN
 !AC!         dpinv=1.0/(ph(il,i)-ph(il,i+1))
 !AC!         cpinv=1.0/cpn(il,i)
@@ -6524,9 +6524,9 @@
 #ifdef ISOVERIF
         do i=inb(il)-1,inb(il)
-        if (iso_eau.gt.0) THEN
+        IF (iso_eau.gt.0) THEN
               CALL iso_verif_egalite(fxt(iso_eau,il,i), &
                  fr(il,i),'cv3_routines 5308')
         endif !if (iso_eau.gt.0) THEN
-        if ((iso_HDO.gt.0).and. &
+        IF ((iso_HDO.gt.0).AND. &
                  (rr(il,i)+delt*fr(il,i).gt.ridicule)) THEN
            CALL iso_verif_aberrant((xt(iso_HDO,il,i) &
@@ -6534,10 +6534,10 @@
                  /(rr(il,i)+delt*fr(il,i)),'cv3_yield 6555')
         endif !if (iso_HDO.gt.0) THEN
-          if ((iso_HDO.gt.0).and.(iso_O18.gt.0).and. &
+          IF ((iso_HDO.gt.0).AND.(iso_O18.gt.0).AND. &
                  (rr(il,i)+delt*fr(il,i).gt.ridicule)) THEN
-           if (iso_verif_O18_aberrant_nostop((xt(iso_HDO,il,i) &
+           IF (iso_verif_O18_aberrant_nostop((xt(iso_HDO,il,i) &
               +delt*fxt(iso_HDO,il,i))/(rr(il,i)+delt*fr(il,i)),(xt(iso_O18,il,i) &
               +delt*fxt(iso_O18,il,i))/(rr(il,i)+delt*fr(il,i)), &
-              'cv3_yield 6555b').eq.1) THEN
+              'cv3_yield 6555b').EQ.1) THEN
                 WRITE(*,*) 'il,i=',il,i
                 WRITE(*,*) 'deltaOavant=',deltaO(xt(iso_O18,il,i)/rr(il,i))
@@ -6696,5 +6696,5 @@
 #ifdef ISO
 #ifdef ISOVERIF
-        if (iso_eau.gt.0) THEN
+        IF (iso_eau.gt.0) THEN
               CALL iso_verif_egalite(fxt(iso_eau,il,i), &
                  fr(il,i),'cv3_routines 5415')
@@ -6703,6 +6703,6 @@
               CALL iso_verif_egalite(bxtsum(iso_eau,il), &
                  bsum(il),'cv3_routines 5419')
-              if (iso_verif_egalite_nostop(fxtsum(iso_eau,il), &
-                 fsum(il),'cv3_routines 5421').eq.1) THEN
+              IF (iso_verif_egalite_nostop(fxtsum(iso_eau,il), &
+                 fsum(il),'cv3_routines 5421').EQ.1) THEN
                 WRITE(*,*) 'i,il=',i,il
                 WRITE(*,*) 'fxtd(iso_eau,il,:)=',fxtd(iso_eau,il,:)
@@ -6735,5 +6735,5 @@
            CALL iso_verif_noNaN(fxtd(ixt,il,i),'cv3_yield 5661')
         enddo
-        if (iso_eau.gt.0) THEN
+        IF (iso_eau.gt.0) THEN
               CALL iso_verif_egalite(fxt(iso_eau,il,i), &
                  fr(il,i),'cv3_routines 5437')
@@ -6741,5 +6741,5 @@
                  fqd(il,i),'cv3_routines 5439',errmax*0.1,errmaxrel)
         endif !if (iso_eau.gt.0) THEN
-        if ((iso_HDO.gt.0).and. &
+        IF ((iso_HDO.gt.0).AND. &
                  (rr(il,i)+delt*fr(il,i).gt.ridicule)) THEN
            CALL iso_verif_aberrant((xt(iso_HDO,il,i) &
@@ -6747,5 +6747,5 @@
                  /(rr(il,i)+delt*fr(il,i)),'cv3_yield 6744')
         endif !if (iso_HDO.gt.0) THEN
-          if ((iso_HDO.gt.0).and.(iso_O18.gt.0).and. &
+          IF ((iso_HDO.gt.0).AND.(iso_O18.gt.0).AND. &
                  (rr(il,i)+delt*fr(il,i).gt.ridicule)) THEN
            CALL iso_verif_O18_aberrant((xt(iso_HDO,il,i) &
@@ -6833,9 +6833,9 @@
            CALL iso_verif_noNaN(fxtd(ixt,il,i),'cv3_yield 5731b')
         enddo
-        if (iso_eau.gt.0) THEN
+        IF (iso_eau.gt.0) THEN
               CALL iso_verif_egalite(fxt(iso_eau,il,i), &
                  fr(il,i),'cv3_routines 5502')
         endif !if (iso_eau.gt.0) THEN
-        if ((iso_HDO.gt.0).and. &
+        IF ((iso_HDO.gt.0).AND. &
                  (rr(il,i)+delt*fr(il,i).gt.ridicule)) THEN
            CALL iso_verif_aberrant((xt(iso_HDO,il,i) &
@@ -6843,10 +6843,10 @@
                  /(rr(il,i)+delt*fr(il,i)),'cv3_yield 6835a')
         endif !if (iso_HDO.gt.0) THEN
-          if ((iso_HDO.gt.0).and.(iso_O18.gt.0).and. &
+          IF ((iso_HDO.gt.0).AND.(iso_O18.gt.0).AND. &
                  (rr(il,i)+delt*fr(il,i).gt.ridicule)) THEN
-           if (iso_verif_O18_aberrant_nostop((xt(iso_HDO,il,i) &
+           IF (iso_verif_O18_aberrant_nostop((xt(iso_HDO,il,i) &
               +delt*fxt(iso_HDO,il,i))/(rr(il,i)+delt*fr(il,i)),(xt(iso_O18,il,i) &
               +delt*fxt(iso_O18,il,i))/(rr(il,i)+delt*fr(il,i)), &
-              'cv3_yield 6835b').eq.1) THEN
+              'cv3_yield 6835b').EQ.1) THEN
                 WRITE(*,*) 'il,i=',il,i
                 WRITE(*,*) 'deltaOavant=',deltaO(xt(iso_O18,il,i)/rr(il,i))
@@ -7030,5 +7030,5 @@
     DO k = i, nl
       DO il = 1, ncum
-! test         if (i.ge.icb(il).and.i.le.inb(il).and.k.le.inb(il)) THEN
+! test         if (i.ge.icb(il).AND.i.le.inb(il).AND.k.le.inb(il)) THEN
         IF (i<=inb(il) .AND. k<=inb(il)) THEN
           upwd(il, i) = upwd(il, i) + up1(il, k, i)
@@ -7243,5 +7243,5 @@
         do i=1,nl  
           do il=1,ncum
-            if (f_detrainement(il,i).gt.0.0) THEN
+            IF (f_detrainement(il,i).gt.0.0) THEN
               q_detrainement(il,i)=q_detrainement(il,i) &
                   /f_detrainement(il,i)
@@ -7314,5 +7314,5 @@
       DO i = 1, ncum
         IF (k>=icb(i) .AND. k<=inb(i) .AND. & 
-!!jyg              j.ge.k.and.j.le.inb(i)) THEN
+!!jyg              j.ge.k.AND.j.le.inb(i)) THEN
 !!jyg             epm(i,j,k)=1.-(1.-ep(i,j))*clw(i,j)/elij(i,k,j)
             j>k .AND. j<=inb(i)) THEN
@@ -7397,7 +7397,7 @@
            )
 #ifdef ISO
-    use infotrac_phy, ONLY: ntraciso=>ntiso
+    USE infotrac_phy, ONLY: ntraciso=>ntiso
 #ifdef ISOVERIF
-    use isotopes_verif_mod, ONLY: Tmin_verif,iso_verif_aberrant, &
+    USE isotopes_verif_mod, ONLY: Tmin_verif,iso_verif_aberrant, &
         iso_verif_egalite,iso_verif_egalite_choix_nostop,iso_verif_positif_nostop, &
         iso_verif_egalite_nostop,iso_verif_aberrant_nostop,deltaD,iso_verif_noNaN_nostop, &
@@ -7424,7 +7424,7 @@
 #ifdef ISO
       !integer niso
-      real xtprecip(ntraciso,nloc)
-      real fxt(ntraciso,nloc,nd)
-      real xtVPrecip(ntraciso,nloc,nd+1)
+      REAL xtprecip(ntraciso,nloc)
+      REAL fxt(ntraciso,nloc,nd)
+      REAL xtVPrecip(ntraciso,nloc,nd+1)
 #endif
 
@@ -7441,7 +7441,7 @@
   REAL epmax_diag1(len) ! epmax_cape
 #ifdef ISO
-      real xtprecip1(ntraciso,len)
-      real fxt1(ntraciso,len,nd)
-      real xtVPrecip1(ntraciso,len,nd+1)
+      REAL xtprecip1(ntraciso,len)
+      REAL fxt1(ntraciso,len,nd)
+      REAL xtVPrecip1(ntraciso,len,nd+1)
 #endif
 
